#!/bin/bash
psql -v ON_ERROR_STOP=1 --username ${POSTGRES_USER} <<-EOSQL
     CREATE DATABASE ${POSTGRES_BACKEND_DB};
     CREATE USER ${POSTGRES_BACKEND_USER} WITH ENCRYPTED PASSWORD '${POSTGRES_BACKEND_PASSWORD}';
     GRANT ALL PRIVILEGES ON DATABASE ${POSTGRES_BACKEND_DB} TO ${POSTGRES_BACKEND_USER} WITH GRANT OPTION;
     \c ${POSTGRES_BACKEND_DB};
     GRANT ALL ON SCHEMA public TO ${POSTGRES_BACKEND_USER};
EOSQL
